aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-net-iptrie
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-01-02 08:28:52 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-01-02 08:28:52 +0000
commit330a49e1c7a5b4cf3014a546d92594280f0626c2 (patch)
tree1c1b3282e5cd8e2be55ab8c7dc0b3d3db805108d /testing/perl-net-iptrie
parenteb275884ad7ab102a4014d6d45d1a7eac646bbba (diff)
downloadaports-330a49e1c7a5b4cf3014a546d92594280f0626c2.tar.gz
aports-330a49e1c7a5b4cf3014a546d92594280f0626c2.tar.bz2
aports-330a49e1c7a5b4cf3014a546d92594280f0626c2.tar.xz
testing/perl-algorithm-diff: new apkbuild
Diffstat (limited to 'testing/perl-net-iptrie')
-rw-r--r--testing/perl-net-iptrie/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/perl-net-iptrie/APKBUILD b/testing/perl-net-iptrie/APKBUILD
new file mode 100644
index 0000000000..88b7adb65a
--- /dev/null
+++ b/testing/perl-net-iptrie/APKBUILD
@@ -0,0 +1,38 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-net-iptrie
+_pkgreal=Net-IPTrie
+pkgver=0.7
+pkgrel=0
+pkgdesc="Perl module for building IPv4 and IPv6 address space hierarchies"
+url="http://search.cpan.org/dist/Net-IPTrie/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-netaddr-ip"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/C/CV/CVICENTE/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="c465a27fdac74109b34dfbc271adb90d Net-IPTrie-0.7.tar.gz"